お知らせ:


 ◇ YouTube Apple Japan チャンネル で有用なヒントや使い方を配信中です。
 ◇ iOS 向け Apple サポート App のバージョン 2.4.1 が公開されました。

お知らせ: macOS Mojave にアップグレードする


macOS Mojave には、ダークモードやスタックなどの新機能や、3 つの新しい内蔵 App が新たに加わり、クリックするたびにさらに多くのことができるようになります。 macOS Mojave へのアップグレード方法はこちら >

しばらく返答が寄せられていないようです。 再度ディスカッションを開始するには、新たに質問してください。

質問:

質問: ”java”について

立ち上げると、常に

「”java”コマンドツールを使用するには、JDKをインストールする必要があります」

が表示されます。

インストールを行うんですが、また出ます。

非常に煩わしいです。

対応方法は?

iMac, macOS High Sierra (10.13.2)

投稿日

返信

ページコンテンツが読み込まれました

2018/01/31 22:13 ni_ki への返信 ni_ki への返信

アンインストール後、再インストール。

ダメでした。また出ました。

都度無視しても支障がないようなので、我慢ですかね。

2018/01/31 22:13

返信 参考になった

2018/01/31 22:39 itasan2 への返信 itasan2 への返信

確認ですが、アンインストールした後に、何もなしなくてもインストールしろと行ってきたのでしょうか。

2018/01/31 22:39

返信 参考になった

2018/02/01 00:09 ni_ki への返信 ni_ki への返信

アンインストール後直ぐにインストールした結果です。

今またアンインストールして様子を見ます。

2018/02/01 00:09

返信 参考になった

2018/02/01 01:27 itasan2 への返信 itasan2 への返信

原因だと思われるファイル、例えば(隠しフォルダの方の)~/Library/LaunchAgents にある com.facebook.videochat.USERNAME.plist などを削除して Mac を再起動するか Apple のサイトから Java for OS X 2017-001(言語が日本語だと Java for OS X 2015-001。中身は同じ)をインストールしてください。ただし Apple の方針でアップグレードするたびに Java for OS X は削除される可能性があります。

to use the "java" command-line tool you need to... |Official Apple Support Communities

「ライブラリ」フォルダ - Apple サポート

Download Java for OS X 2017-001

2018/02/01 01:27

返信 参考になった

2018/02/01 08:34 itasan2 への返信 itasan2 への返信

Adobeのソフトが出しているメッセージのようですね。

https://www.theitsage.com/fix-java-command-line-tool-popup-mac/

ここによると、「詳細情報」ボタンで示されるサイトからダウンロードできるJAVA SDK ではダメだそうで、AppleのJava for OS X 2017-001 ( Apple’s version of Legacy Java Command-line tool.)をダウンロードしてインストールしろということのようです。

2018/02/01 08:34

返信 参考になった

2018/02/01 09:12 品川地蔵 への返信 品川地蔵 への返信

 読み違いがありました。Adobeのソフトが出しているわけではなく、何らかのJAVAを使用している常駐ソフトがトリガーで、JAVAランタイムが出しているメッセージですね。Adobeは例として上げられているだけでした。(Adobeの名誉のために訂正)

2018/02/01 09:12

返信 参考になった

2018/02/01 10:22 品川地蔵 への返信 品川地蔵 への返信

基本的には Java for OS X は必要ないような気がするのでインストールせずに済むならその方が良いような気がします。

以前のJava SE 6ランタイムをインストールする必要があります?


ついでにこれも。

Java JDK Pop-UP |Official Apple Support Communities

2018/02/01 10:22

返信 参考になった

2018/02/01 14:01 itasan2 への返信 itasan2 への返信

必要なのはJAVA6ですか? それならSierra以降では動作しないはずですから、動作確認していればアラートが表示されると思います。

但しAdobeのソフトなら動作確認していないので、インストールすればアラートは表示されなくなります。

2018/02/01 14:01

返信 参考になった
ユーザのユーザプロフィール: itasan2

質問: ”java”について